TapeCaseType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum TapeCaseType

- java.lang.Object
- - java.lang.Enum<TapeCaseType>
  - - tv.amwa.maj.enumeration.TapeCaseType

- All Implemented Interfaces:
    Serializable, Comparable<TapeCaseType>, MediaEnumerationValue

      public enum TapeCaseType
      extends Enum<TapeCaseType>
      implements MediaEnumerationValue

  Describes the physical size of a tape.

  Original C name: `aafTapeCaseType_e`

  See Also:
    `TypeDefinitions.TapeCaseType`, `TapeDescriptor.getTapeFormFactor()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_8mmVideoTape` 8mm video tape case.
    `BetacamVideoTape` Betacam video tape case.
    `CompactCassette` Compact audio cassette case.
    `DATCartridge` DAT cartridge tape case.
    `NagraAudioTape` Nagra format reel-to-reel tape case.
    `Null` Tape case type not specified.
    `ThreeFourthInchVideoTape` Three and a quarter inch video tape case.
    `VHSVideoTape` VHS video tape case.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static TapeCaseType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TapeCaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### Null

          public static final TapeCaseType Null

      Tape case type not specified.

    - #### ThreeFourthInchVideoTape

          public static final TapeCaseType ThreeFourthInchVideoTape

      Three and a quarter inch video tape case.

    - #### VHSVideoTape

          public static final TapeCaseType VHSVideoTape

      VHS video tape case.

    - #### _8mmVideoTape

          public static final TapeCaseType _8mmVideoTape

      8mm video tape case.

      Note that the name of this element starts with an underscore ('`_`') character as Java identifiers must start with an alphanumeric character or an underbar character. The specified name of this value is "`8mmVideoTape`".

    - #### BetacamVideoTape

          public static final TapeCaseType BetacamVideoTape

      Betacam video tape case.

    - #### CompactCassette

          public static final TapeCaseType CompactCassette

      Compact audio cassette case.

    - #### DATCartridge

          public static final TapeCaseType DATCartridge

      DAT cartridge tape case.

    - #### NagraAudioTape

          public static final TapeCaseType NagraAudioTape

      Nagra format reel-to-reel tape case.

  - ### Method Detail

    - #### values

          public static TapeCaseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TapeCaseType c : TapeCaseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TapeCaseType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.